| ghc-6.10.4: The GHC API | Contents | Index

HsImpExp

Synopsis

type LImportDecl name = Located (ImportDecl name)

data ImportDecl name = ImportDecl {

ideclName :: Located ModuleName
ideclPkgQual :: Maybe FastString
ideclSource :: Bool
ideclQualified :: Bool
ideclAs :: Maybe ModuleName
ideclHiding :: Maybe (Bool, [LIE name])

}

type LIE name = Located (IE name)

data IE name

= IEVar name
| IEThingAbs name
| IEThingAll name
| IEThingWith name [name]
| IEModuleContents ModuleName
| IEGroup Int (HsDoc name)
| IEDoc (HsDoc name)
| IEDocNamed String

ieName :: IE name -> name
ieNames :: IE a -> [a]

Documentation
type LImportDecl name = Located (ImportDecl name)
data ImportDecl name

A single Haskell `import` declaration.
Constructors

ImportDecl |

ideclName :: Located ModuleName | Module name.
ideclPkgQual :: Maybe FastString | Package qualifier.
ideclSource :: Bool | True = {--} import
ideclQualified :: Bool | True => qualified
ideclAs :: Maybe ModuleName | as Module
ideclHiding :: Maybe (Bool, [LIE name]) | (True => hiding, names)

Instances

Outputable name => Outputable (ImportDecl name)

type LIE name = Located (IE name)
data IE name

Imported or exported entity.
Constructors

IEVar name |
IEThingAbs name | Class/Type (can't tell)
IEThingAll name | ClassType plus all methodsconstructors
IEThingWith name [name] | ClassType plus some methodsconstructors
IEModuleContents ModuleName | (Export Only)
IEGroup Int (HsDoc name) | Doc section heading
IEDoc (HsDoc name) | Some documentation
IEDocNamed String | Reference to named doc

Instances

Outputable name => Outputable (IE name)

ieName :: IE name -> name
ieNames :: IE a -> [a]
Produced by Haddock version 2.4.2